import 'package:analyzer/dart/analysis/results.dart';
import 'package:analyzer/dart/ast/ast.dart';
import 'package:analyzer/dart/ast/visitor.dart';
import 'package:analyzer/src/ignore_comments/ignore_info.dart';

import '../model/rule.dart';

class CustomAstVisitor extends RecursiveAstVisitor<void> {
  CustomAstVisitor({required this.analysisResult, required this.rule});

  final ResolvedUnitResult analysisResult;
  final Rule rule;
  final _nodes = <AstNode>[];

  Iterable<AstNode> get nodes => _nodes;
}